Subject: Re: Historical useage of herbs

From: roger <[email-masked]>
Date: 13 Jun 1995 01:54:57 +0100

In article <[email-masked]> [email-masked] "Ladyspnr" writes:

> I am looking for information on the historical use of herbs for daily
> healing in the late 1700's.   I am a living history re-enactor and I wish
> to research the art of healing with herbs.  My "character" is a woman who
> would have been a midwife and healer in the Ohio Territory.

One of the best works for this is "The Queens Closet Opened", a Tudor
recipe book for food and remedies.

I have a copy of the first edition - any offers. If someone has some 
space on a web page, I'd be happy to post recipes. Or a regular thread
perhaps.

Roger

-- 
______________________________________________________________________________
               A dragon in shallows falls victim to shrimps.
______________________________________________________________________________